package stone

type Button int

const (
	KeyUnknown      Button = -1
	
	KeySpace        Button = 162
	KeyApostrophe   Button = 161
	KeyComma        Button = 96
	KeyMinus        Button = 93
	KeyPeriod       Button = 92
	KeySlash        Button = 91
	Key0            Button = 90
	Key1            Button = 89
	Key2            Button = 88
	Key3            Button = 87
	Key4            Button = 86
	Key5            Button = 85
	Key6            Button = 84
	Key7            Button = 83
	Key8            Button = 82
	Key9            Button = 81
	KeySemicolon    Button = 80
	KeyEqual        Button = 79
	KeyA            Button = 78
	KeyB            Button = 77
	KeyC            Button = 76
	KeyD            Button = 75
	KeyE            Button = 74
	KeyF            Button = 73
	KeyG            Button = 72
	KeyH            Button = 71
	KeyI            Button = 70
	KeyJ            Button = 69
	KeyK            Button = 68
	KeyL            Button = 67
	KeyM            Button = 66
	KeyN            Button = 65
	KeyO            Button = 61
	KeyP            Button = 59
	KeyQ            Button = 57
	KeyR            Button = 56
	KeyS            Button = 55
	KeyT            Button = 54
	KeyU            Button = 53
	KeyV            Button = 52
	KeyW            Button = 51
	KeyX            Button = 50
	KeyY            Button = 49
	KeyZ            Button = 48
	KeyLeftBracket  Button = 47
	KeyBackslash    Button = 46
	KeyRightBracket Button = 45
	KeyGraveAccent  Button = 44
	KeyWorld1       Button = 39
	KeyWorld2       Button = 32
	
	KeyEscape       Button = 348
	KeyEnter        Button = 347
	KeyTab          Button = 346
	KeyBackspace    Button = 345
	KeyInsert       Button = 344
	KeyDelete       Button = 343
	KeyRight        Button = 342
	KeyLeft         Button = 341
	KeyDown         Button = 340
	KeyUp           Button = 336
	KeyPageUp       Button = 335
	KeyPageDown     Button = 334
	KeyHome         Button = 333
	KeyEnd          Button = 332
	KeyCapsLock     Button = 331
	KeyScrollLock   Button = 330
	KeyNumLock      Button = 329
	KeyPrintScreen  Button = 328
	KeyPause        Button = 327
	KeyF1           Button = 326
	KeyF2           Button = 325
	KeyF3           Button = 324
	KeyF4           Button = 323
	KeyF5           Button = 322
	KeyF6           Button = 321
	KeyF7           Button = 320
	KeyF8           Button = 314
	KeyF9           Button = 313
	KeyF10          Button = 312
	KeyF11          Button = 311
	KeyF12          Button = 310
	KeyF13          Button = 309
	KeyF14          Button = 308
	KeyF15          Button = 307
	KeyF16          Button = 306
	KeyF17          Button = 305
	KeyF18          Button = 304
	KeyF19          Button = 303
	KeyF20          Button = 302
	KeyF21          Button = 301
	KeyF22          Button = 300
	KeyF23          Button = 299
	KeyF24          Button = 298
	KeyF25          Button = 297
	KeyKP0          Button = 296
	KeyKP1          Button = 295
	KeyKP2          Button = 294
	KeyKP3          Button = 293
	KeyKP4          Button = 292
	KeyKP5          Button = 291
	KeyKP6          Button = 290
	KeyKP7          Button = 284
	KeyKP8          Button = 283
	KeyKP9          Button = 282
	KeyKPDecimal    Button = 281
	KeyKPDivide     Button = 280
	KeyKPMultiply   Button = 269
	KeyKPSubtract   Button = 268
	KeyKPAdd        Button = 267
	KeyKPEnter      Button = 266
	KeyKPEqual      Button = 265
	KeyLeftShift    Button = 264
	KeyLeftControl  Button = 263
	KeyLeftAlt      Button = 262
	KeyLeftSuper    Button = 261
	KeyRightShift   Button = 260
	KeyRightControl Button = 259
	KeyRightAlt     Button = 258
	KeyRightSuper   Button = 257
	KeyMenu         Button = 256
	
	MouseButton1           Button = 1
	MouseButton2           Button = 2
	MouseButton3           Button = 3
	MouseButton4           Button = 4
	MouseButton5           Button = 5
	MouseButton6           Button = 6
	MouseButton7           Button = 7
	MouseButton8           Button = 8
	MouseButton9           Button = 9
	MouseButtonLeft        Button = MouseButton1
	MouseButtonMiddle      Button = MouseButton2
	MouseButtonRight       Button = MouseButton3
	MouseButtonScrollUp    Button = MouseButton4
	MouseButtonScrollDown  Button = MouseButton5
	MouseButtonScrollLeft  Button = MouseButton6
	MouseButtonScrollRight Button = MouseButton7
	MouseButtonBack        Button = MouseButton8
	MouseButtonForward     Button = MouseButton9
)
